use printstick::layout::generate_page;
use printstick::stickers::StickerDetail;
use printstick::layout::Page;
use printstick::pdf::generate_pdf;
use std::path::PathBuf;

fn main() {
    let stickers_order: Vec<StickerDetail> = vec![
        StickerDetail {
            number: 52,
            path: PathBuf::from("/Users/torpenn/projects/personal/PrintStick/linux_antifa.png"),
            height: 50.0,
            width: 50.0
       }
    ];

    let pages: Vec<Page> = generate_page(stickers_order);

    println!("Generated positions in one page: {:?}", pages);

    generate_pdf(PathBuf::from("./image_example.pdf"), pages)
}
